Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.tapestry5.grid
Enum ColumnSort

    java.lang.Object
      java.lang.Enum<ColumnSort>
          org.apache.tapestry5.grid.ColumnSort

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ColumnSort>

    public enum ColumnSort

extends java.lang.Enum<ColumnSort>

Identifies how a column within a `GridSortModel` is sorted.

Enum Constant Summary
`ASCENDING` A sort column and sorted in ascending order.
`DESCENDING` A sort column, and sorted in descending order.
`UNSORTED` Not a sort column.

Method Summary
`static ColumnSort` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ColumnSort[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ASCENDING

    public static final ColumnSort ASCENDING

  A sort column and sorted in ascending order.

### DESCENDING

    public static final ColumnSort DESCENDING

  A sort column, and sorted in descending order.

### UNSORTED

    public static final ColumnSort UNSORTED

  Not a sort column.

Method Detail

### values

    public static final ColumnSort[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ColumnSort c : ColumnSort.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ColumnSort valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2012 The Apache Software Foundation.